Package org.apache.sysds.hops.fedplanner

## Class PrivacyConstraintLoader

- java.lang.Object
- - org.apache.sysds.hops.fedplanner.PrivacyConstraintLoader

Direct Known Subclasses:
  `PrivacyConstraintLoaderMock`

    public class PrivacyConstraintLoader
    extends Object

### Nested Class Summary

Nested Classes
`static class` `PrivacyConstraintLoader.PrivacyConstraintRetriever` FederatedUDF for retrieving privacy constraint of data stored in file name.

### Constructor Summary

Constructors
`PrivacyConstraintLoader()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `loadConstraints​(DMLProgram prog)`
`void` `loadFederatedPrivacyConstraints​(Hop hop)` Get privacy constraints from federated workers for DataOps.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PrivacyConstraintLoader

    public PrivacyConstraintLoader()

### Method Detail

#### loadConstraints

    public void loadConstraints​(DMLProgram prog)

#### loadFederatedPrivacyConstraints

    public void loadFederatedPrivacyConstraints​(Hop hop)

Get privacy constraints from federated workers for DataOps.

Parameters:
  `hop` - for which privacy constraints are loaded